<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <form>
      <label> Tenes ganas de ir al cine? </label>
      <button type="button" id="si" name="si">SI</button>
      <button type="button" id="no" name="no">NO</button>
    </form>

    <script>
      const btnSi = document.getElementById("si");
      btnSi.addEventListener("click", function () {
        si("Vamos al Cine y ");
      });
      /*
          const btnNo = document.getElementById("no");
          btnNo.addEventListener("click", ); */

      function si(titulo) {
        let respuesta = prompt(
          `${titulo} compramos la entrada? \n 1- SI \n 2- NO \n 3- QUIZAS LUEGO`
        );
        // console.log(respuesta);
        if (respuesta === "1") {
          return quePelicula();
        } else if (respuesta === "2") {
          return vamos();
        } else if (respuesta === "3") {
          return saludoDespedida(" Despues hablamos!!!");
        } else {
          return si("El valor ingresado no es correcto. ");
        }
        return respuesta;
      }

      function vamos() {
        let respuesta = prompt(
          `Dale Vamos  !!!! \n 1- Bueno dale! \n 2- Nos vemos Luego`
        );
        // console.log(respuesta);
        if (respuesta === "1") {
          return quePelicula();
        } else if (respuesta === "2") {
          return saludoDespedida(" Sera la proxima");
        } else {
            vamos();
        }
      }
      function quePelicula() {
        let respuesta = prompt(
          `Seleccione Pelicula !!!! \n 1- Rambo! \n 2- Rocky`
        );
        // console.log(respuesta);
        if (respuesta === "1") {
          alert("compraste RAMBO!!!!");
          return saludoDespedida("Nos vamos a ver Rambo!!!");
        } else if (respuesta === "2") {
          alert("compraste ROCKY!!!!");
          return saludoDespedida("Nos vamos a ver Rocky!!!");
        } else if (respuesta === "3") {
          return quePelicula();
        }
      }
      function saludoDespedida(saludo) {
        return alert(`Chau!!! .... ${saludo}`);
      }
    </script>
  </body>
</html>
